<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">

<!--  Common Header Fragment -->
<div th:fragment="header">
	<!-- <div align="center">
		<h1>Welcome to my CST-339 Spring Boot DVD Management</h1>
	</div> -->

	<div class="bs-example">
		<nav class="navbar navbar-expand-lg bg-body-tertiary sticky-top"data-bs-theme="dark">
			<div class="container-fluid">
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
					data-bs-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false"
					aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarTogglerDemo01">
					<img th:src="@{/img/logo.png}" style="width: 6rem;"></img>
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" aria-current="page" href="/">Home</a>
						</li>
						<li class="nav-item">
							<a class="nav-link disabled" href="#">Your playlist</a>
						</li>
						<li class="nav-item">
							<a class="nav-link disabled" aria-disabled="true">Cart</a>
						</li>
						<th:block th:if="${session.user != null}">
							<li class="nav-item">
								<a class="nav-link active" th:href="@{/newMovie/}">Create New DVD</a>
							</li>
						</th:block>
					</ul>
					<div class="d-flex">
						<a class="btn btn-outline-secondary m-1" th:href="@{/register}">Register</a>
						<a class="btn btn-outline-primary m-1" th:href="@{/login/}">Login</a>
						<!-- Logout Button Added if user is logged in -->
						<th:block th:if="${session.user != null}">
							<button class="btn btn-outline-primary m-1" type="submit">Logout</button>
						</th:block>
					</div>
				</div>
			</div>
		</nav>
	</div>

	

	<!--  Page Title and Log -->
	<!-- <h2 th:text="${title}">Default Message Text</h2><br> -->
</div>

<!-- Common Footer Fragment -->
<div th:fragment="footer::footer">
	<footer class="footer footer-center bg-base-200 text-base-content rounded p-10">
		<nav class="grid grid-flow-col gap-4">
		  <a class="link link-hover">About us</a>
		  <a class="link link-hover">Contact</a>
		  <a class="link link-hover">Jobs</a>
		  <a class="link link-hover">Press kit</a>
		</nav>
		<nav>
		  <div class="grid grid-flow-col gap-4">
			<a>
			  <svg
				xmlns="http://www.w3.org/2000/svg"
				width="24"
				height="24"
				viewBox="0 0 24 24"
				class="fill-current">
				<path
				  d="M24 4.557c-.883.392-1.832.656-2.828.775 1.017-.609 1.798-1.574 2.165-2.724-.951.564-2.005.974-3.127 1.195-.897-.957-2.178-1.555-3.594-1.555-3.179 0-5.515 2.966-4.797 6.045-4.091-.205-7.719-2.165-10.148-5.144-1.29 2.213-.669 5.108 1.523 6.574-.806-.026-1.566-.247-2.229-.616-.054 2.281 1.581 4.415 3.949 4.89-.693.188-1.452.232-2.224.084.626 1.956 2.444 3.379 4.6 3.419-2.07 1.623-4.678 2.348-7.29 2.04 2.179 1.397 4.768 2.212 7.548 2.212 9.142 0 14.307-7.721 13.995-14.646.962-.695 1.797-1.562 2.457-2.549z"></path>
			  </svg>
			</a>
			<a>
			  <svg
				xmlns="http://www.w3.org/2000/svg"
				width="24"
				height="24"
				viewBox="0 0 24 24"
				class="fill-current">
				<path
				  d="M19.615 3.184c-3.604-.246-11.631-.245-15.23 0-3.897.266-4.356 2.62-4.385 8.816.029 6.185.484 8.549 4.385 8.816 3.6.245 11.626.246 15.23 0 3.897-.266 4.356-2.62 4.385-8.816-.029-6.185-.484-8.549-4.385-8.816zm-10.615 12.816v-8l8 3.993-8 4.007z"></path>
			  </svg>
			</a>
			<a>
			  <svg
				xmlns="http://www.w3.org/2000/svg"
				width="24"
				height="24"
				viewBox="0 0 24 24"
				class="fill-current">
				<path
				  d="M9 8h-3v4h3v12h5v-12h3.642l.358-4h-4v-1.667c0-.955.192-1.333 1.115-1.333h2.885v-5h-3.808c-3.596 0-5.192 1.583-5.192 4.615v3.385z"></path>
			  </svg>
			</a>
		  </div>
		</nav>
		<aside>
		  <p>Copyright © {new Date().getFullYear()} - All right reserved by ACME Industries Ltd</p>
		</aside>
	  </footer>
	</div>

</html>